Attempting to drop privileges to root Error

jceja

Registered
Dec 11, 2017
4
1
3
Mexico
cPanel Access Level
Root Administrator
I'm getting this error on whm on login after doing some module installs, I can't figure out how to solve it

Code:
Internal Server Error
500

exit level [die] [pid=24867] (Attempting to drop privileges to root.)
cpsrvd Server at server.4sales.mx
looking at the cpanel error_log looks like this
Code:
[2018-05-24 18:30:02 -0400] die [whostmgrd] Attempting to drop privileges to root. at /usr/local/cpanel/Cpanel/AccessIds/ReducedPrivileges.pm line 135.
    Cpanel::AccessIds::ReducedPrivileges::_prevent_dropping_to_root(0, 0) called at /usr/local/cpanel/Cpanel/AccessIds/ReducedPrivileges.pm line 73
    Cpanel::AccessIds::ReducedPrivileges::call_as_user(CODE(0x25b19d0), "root") called at /usr/local/cpanel/Cpanel/Server.pm line 1398
    Cpanel::Server::update_lastlogin(Cpanel::Server=HASH(0x25453e8), "root") called at /usr/local/cpanel/Cpanel/Server.pm line 1369
    Cpanel::Server::newsession(Cpanel::Server=HASH(0x25453e8), __CPANEL_HIDDEN__, __CPANEL_HIDDEN__, __CPANEL_HIDDEN__, __CPANEL_HIDDEN__, __CPANEL_HIDDEN__, __CPANEL_HIDDEN__, __CPANEL_HIDDEN__, ...) called at cpsrvd.pl line 3871
    cpanel::cpsrvd::handle_auth_transfer(HASH(0x140d2e0)) called at cpsrvd.pl line 1342
    cpanel::cpsrvd::handle_one_connection(7) called at cpsrvd.pl line 877
    cpanel::cpsrvd::script() called at cpsrvd.pl line 324
die [whostmgrd] Attempting to drop privileges to root.
[2018-05-24 18:30:02 -0400] info [whostmgrd] Internal Server Error: "POST /cpsess8374098490/xfercpanel?login=1&post_login=65433857160412 HTTP/1.1" 500 exit level [die] [pid=24867] (Attempting to drop privileges to root.)
There are similar threads here with this same error, but none has an awnser, some of them ask for this, I'll add this too

Code:
# grep 0:0 /etc/passwd
root:x:0:0:root:/root:/bin/bash
Any help would be appreciated
 

jceja

Registered
Dec 11, 2017
4
1
3
Mexico
cPanel Access Level
Root Administrator
I was installing a CRM software that needed some special packages on easy apache, one that i had to manualy install via ssh was "Structures_DataGrid_DataSource_PDO-0.2.0" via this command
Code:
pecl install channel://pear.php.net/Structures_DataGrid_DataSource_PDO-0.2.0
 

cPanelLauren

Forums Analyst II
Staff member
Nov 14, 2017
7,508
591
263
Houston
cPanel Access Level
DataCenter Provider
Module installs shouldn't have had that affect, this error is commonly related to some form of permission/ownership issues. Can you please open a ticket using the link in my signature? Once the ticket is open please reply to this thread with the ticket ID so we can update this thread with the outcome.

Thanks!